body{
    margin: 0;
    padding: 0;
    height: 100vh;
    background: radial-gradient(var(--color-1), var(--color-2), var(--color-3));
}
:root{
    --color-1: #edf2f4;
    --color-2: #8d99ae;
    --color-3: #2b2d42;
    --color-4: #ef233c;
    --color-5: #d90429;
    --color-white: white;
}
.wrapper{
    margin-top: 5vh;
    margin-bottom: 10vh;
}
.player{
    border: solid 0.15rem var(--color-white);
    background: linear-gradient(10deg, var(--color-5), var(--color-4));
    border-radius: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
    width: 24rem;
    height: auto;
}
.player-pic{
    aspect-ratio: 1/1;
    margin-top: 5vh;
    border: solid 0.15rem var(--color-white);
    width: 80%;
    border-radius: 2rem;
}
.container{
    width: 90%;
    margin-top: 1rem;
}
.audio-player{
    display: none;
}
.controls{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.audio-track-container{
    display: flex;
    justify-content: space-around;
    width: 100%;
}
.player-song-time{
    width: 60%;
}

.player-titles{
    max-width: 100%;
    margin-top: 0.5rem;
}
.player-titles h2, .player-titles h4, h3{
    color: var(--color-white);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    text-align: center;
    margin: 0.1rem;
    font-weight: 100;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif; 
}
.controls-buttons{
    width: 90%;
    margin-top: 2rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
button{
    background-color: transparent;
    border-radius: 50%;
    width: 2rem;
    height: 2rem;
    border: none;
    transition: opacity 0.25s;
}
button img{
    width: 100%;
}
button:hover{
    opacity: 0.6;
    cursor: pointer;
}
input{
    accent-color: var(--color-white);
}
input:hover{
    cursor: pointer;
}
.scroll-left, .play-pause, .scroll-right{
    width: 4rem;
    height: 4rem;
}
.volume{
    width: 3rem;
    height: 3rem;
}
.controls-sound{
    width: 90%;
    margin-top: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.25rem;
}
.sound-volume{
    width: 3rem;
    color: var(--color-white);
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: 0;
}
footer{
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
.footer-container{
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 0.4rem;
    text-decoration: none;
}
footer img{
    width: 1.5rem;
}
footer h4{
    color: var(--color-white);
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: 0;
}